Bug 447001 - Gnome Login Fails Immediately and Returns to Login Screen
Summary: Gnome Login Fails Immediately and Returns to Login Screen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-16 22:13 UTC by Robert Banfield
Modified: 2015-01-14 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:32:16 UTC


Attachments (Terms of Use)

Description Robert Banfield 2008-05-16 22:13:11 UTC
Description of problem:
When I attempt to log in to gnome, it accepts my password then immediately takes
me to the login prompt again.  I can not log in as root or any local user.  I do
not know which log files to look at for more information, but I can obtain
whatever is necessary.  I updated my system via yum today (5/16/2008), however
there was no update which fixed the problem.

Version-Release number of selected component (if applicable):
The version which shipped with Fedora 9

How reproducible:
Every single time, gnome is entirely unusable.

Steps to Reproduce:
1.Turn on computer
2.Try to login at the graphical prompt (using root or user account)
3.
  
Actual results:
Returns to the login screen

Expected results:
Play with Fedora 9 with an honest to goodness Desktop (!)


Additional info:
I can log in perfectly fine in runlevel 3.  If I then type in "startx", I am
taken to the ugly X grey screen with the Xterm, no gnome.

Comment 1 Peter Oliver 2008-05-19 18:48:04 UTC
I had the same symptoms.  The cause turned out to be that /etc/gdm was a symlink
to ./X11/gdm rather than a real directory, which meant that /etc/gdm/Xsession
(which is a link to ../X11/xinit/Xsession) could not be found.

Comment 2 Robert Banfield 2008-05-19 19:42:18 UTC
Thanks for the info.  I believe my machine may be showing the same symptoms for
a different reason as /etc/gdm is a directory and the symlink from
/etc/gdm/Xsession to ../X11/xinit/Xsession appears to be setup correctly.

----

[root@localhost gdm]# ls -ld /etc/gdm
drwxr-xr-x 6 root root 4096 2008-05-13 19:57 /etc/gdm

[root@localhost gdm]# ls -l /etc/gdm/Xsession 
lrwxrwxrwx 1 root root 21 2008-05-13 19:57 /etc/gdm/Xsession ->
../X11/xinit/Xsession

[root@localhost gdm]# ls -l /etc/gdm/../X11/xinit/Xsession
-rwxr-xr-x 1 root root 3259 2008-03-12 12:57 /etc/gdm/../X11/xinit/Xsession

----

Thanks again for the info, and please let me know if there is anything more I
can do.

Comment 3 Bug Zapper 2009-06-10 00:54:44 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:32:16 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.